Loading...
Searching...
No Matches
msg_buffer.h File Reference

Internal buffer management functions. More...

`#include <sofia-sip/msg_types.h>`
Include dependency graph for msg_buffer.h:

Go to the source code of this file.

## Macros

#define | MSG_BUFFER_H
| Defined when <sofia-sip/msg_buffer.h> has been included.

## Functions

void * | msg_buf_alloc (msg_t *msg, usize_t size)
| Allocate a buffer of size octets, with slack of msg_min_size.
void * | msg_buf_exact (msg_t *msg, usize_t size)
| Allocate a buffer exactly of size octets, without any slack.
usize_t | msg_buf_commit (msg_t *msg, usize_t size, int eos)
| Commit data into buffer.
usize_t | msg_buf_committed (msg_t const *msg)
| Get length of committed data.
void * | msg_buf_committed_data (msg_t const *msg)
| Get committed data.
void * | msg_buf_move (msg_t *dst, msg_t const *src)
| Move unparsed data from src to dst.
void | msg_buf_set (msg_t *msg, void *b, usize_t size)
| Set buffer.

## Detailed Description

Internal buffer management functions.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Fri Nov 8 12:23:00 2002 ppessi

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.